/*
 * timefuncs: time conversion functions
 *
 * Greg Lehey, 6 August 2006
 *
 * Copyright (c) 2006 by Greg Lehey
 *
 *  This software is distributed under the so-called ``Berkeley
 *  License'':
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1.  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *
 * 2.  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *
 * This software is provided ``as is'', and any express or implied
 * warranties, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose are
 * disclaimed.	In no event shall Greg Lehey be liable for any direct,
 * indirect, incidental, special, exemplary, or consequential damages
 * (including, but not limited to, procurement of substitute goods or
 * services; loss of use, data, or profits; or business interruption)
 * however caused and on any theory of liability, whether in contract,
 * strict liability, or tort (including negligence or otherwise)
 * arising in any way out of the use of this software, even if advised
 * of the possibility of such damage.
 *
 * $Id: timefuncs.h,v 1.2 2006/08/09 07:19:09 grog Exp $
 */

/*
 * Convert a time in the format yyyy-mm-dd hh:mm[:ss] or dd MMM yyyy hh:mm[:ss]
 * into time_t.
 */
time_t get_date (char **argv, int *i, time_t base);

time_t get_date_old (const char *timestring);
/*
 * Convert a time in the format hh:mm[:ss] into time_t.  This is a very much
 * simplified version of getdate.
 */
time_t get_time (const char *timestring);

/* Print a time as hh:mm:ss */
char *sprinthms (time_t when);
